org.bdgenomics.adam.serialization

# AvroSerializer

#### class AvroSerializer[T <: SpecificRecord] extends Serializer[T]

Linear Supertypes
Serializer[T], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AvroSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AvroSerializer()(implicit arg0: ClassTag[T])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def copy(arg0: Kryo, arg1: T): T

   Definition Classes
     Serializer

9. #### val encoder: BinaryEncoder

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def getAcceptsNull(): Boolean

    Definition Classes
      Serializer

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### var in: InputStreamWithDecoder

17. #### def isImmutable(): Boolean

    Definition Classes
      Serializer

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val outstream: FastByteArrayOutputStream

23. #### def read(kryo: Kryo, kryoIn: Input, klazz: Class[T]): T

    Definition Classes
      AvroSerializer → Serializer

24. #### val reader: SpecificDatumReader[T]

25. #### def setAcceptsNull(arg0: Boolean): Unit

    Definition Classes
      Serializer

26. #### def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit

    Definition Classes
      Serializer

27. #### def setImmutable(arg0: Boolean): Unit

    Definition Classes
      Serializer

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def write(kryo: Kryo, kryoOut: Output, record: T): Unit

    Definition Classes
      AvroSerializer → Serializer

34. #### val writer: SpecificDatumWriter[T]

### Inherited from Serializer[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped